SYD-HEX(1)

# NAME

syd-hex - Hex-encode/decode the given file or standard input

# SYNOPSIS

*syd-hex* _[-hdefl]_ _<file|->_

# DESCRIPTION

Given a file, hex-encode the file and print.

Given no positional arguments or "-" as argument, hex-encode standard input and print.

Use *-d* to hex-decode rather than encode.

Use -*f* to force print decoded hex to TTY (insecure). By default,
decoded hex output is _not_ written to standard output if it's attached
to a TTY.

Use -*l* <human-size> to exit after size bytes are read.

# OPTIONS

|[ *-h*
:< Display help.
|[ *-d*
:< Hex-decode.
|[ *-e*
:< Hex-encode (default).
|[ *-f*, *--force-tty*
:< Force output to TTY (insecure).
|[ *-l* _<human-size_>
:< Exit after size bytes are read.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _tty_(1)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat.
